Bug 1148233 - Intel Wireless AC-9260 no longer works in Tumbleweed 2019-08-23 snapshot
Intel Wireless AC-9260 no longer works in Tumbleweed 2019-08-23 snapshot
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
x86-64 openSUSE Factory
: P5 - None : Major (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-26 20:11 UTC by Peter Stolz
Modified: 2019-08-27 07:23 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Stolz 2019-08-26 20:11:58 UTC
After update to Tumbleweed snapshot 20190823 WLAN no longer works (Intel Wireless AC-9260). 
If I start my Laptop with openSUSE Leap 15.1 Live CD WLAN connection works. So I think this is a bug of Tumbleweed.

I made some tests with Tumbleweed:
lshw -c network
*-network                 
     description: Ethernet interface
     product: RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
     vendor: Realtek Semiconductor Co., Ltd.
     physical id: 0
     bus info: pci@0000:04:00.0
     logical name: enp4s0
     version: 10
     serial: e8:6a:64:fe:f3:b3
     width: 64 bits
     clock: 33MHz
     capabilities: pm msi pciexpress msix vpd bus_master cap_list ethernet physical
       configuration: broadcast=yes driver=r8169 latency=0 multicast=yes
       resources: irq:16 ioport:2000(size=256) memory:a1304000-a1304fff memory:a1300000-a1303fff
*-network
     description: Network controller
     product: Wireless-AC 9260
     vendor: Intel Corporation
     physical id: 0
     bus info: pci@0000:05:00.0
     version: 29
     width: 64 bits
     clock: 33MHz
     capabilities: pm msi pciexpress msix bus_master cap_list
     configuration: driver=iwlwifi latency=0
     resources: irq:18 memory:a1200000-a1203fff
*-network
     physical id: 2
     logical name: wlp5s0
       
       
ifconfig wlp5s0 up
wlp5s0: ERROR while getting interface flags: Kein passendes Gerät gefunden

Greetings

Peter Stolz
Comment 1 Takashi Iwai 2019-08-27 05:22:31 UTC
Which kernel-default and kernel-firmware packages are you using in the non-working system?

If the kernel is still 5.2.9, try to upgrade to 5.2.10 kernel from OBS Kernel:stable repo:
  http://download.opensuse.org/repositories/Kernel:/stable/standard/

If the combination of kernel-default 5.2.10 and kernel-firmware 20190815 still doesn't work, please try to downgrade kernel-firmware.rpm from the history repo:
  http://download.opensuse.org/history/
Comment 2 Peter Stolz 2019-08-27 07:16:16 UTC
I used kernel 5.2.9-1.2 and kernel-firmware 20190815-1.1.

I update to kernel 5.2.10-1.1 and now wlan works fine.
Comment 3 Takashi Iwai 2019-08-27 07:23:15 UTC
OK, then let's wait until the new kernel appears on TW.